local autosci = {"automation-science-pack", 1}
local logsci = {"logistic-science-pack", 1}
local milsci = {"military-science-pack", 1}
local chemsci = {"chemical-science-pack", 1}
local prodsci = {"production-science-pack", 1}
local utilsci = {"utility-science-pack", 1}
local spacesci = {"space-science-pack", 1}

local modifier = {.35, .4, .45, .55, .65, .65}
local req_tech
local cost
local ing

if mods['IndustrialRevolution'] then
	req_tech = {'ir2-steambot'}
	cost = {50, 100, 150, 250, 500, '2^(L-6)*1000'}
	ing = {
		{autosci},
		{autosci, logsci},
		{autosci, logsci, chemsci},
		{autosci, logsci, chemsci, utilsci},
		{autosci, logsci, chemsci, prodsci, utilsci},
		{autosci, logsci, chemsci, prodsci, utilsci, spacesci},
	}
else
	req_tech = {'robotics'}
	cost = {50, 100, 150, 250, 500, '2^(L-6)*1000'}
	ing = {
		{autosci, logsci, chemsci},
		{autosci, logsci, chemsci},
		{autosci, logsci, chemsci, utilsci},
		{autosci, logsci, chemsci, utilsci},
		{autosci, logsci, chemsci, prodsci, utilsci},
		{autosci, logsci, chemsci, prodsci, utilsci, spacesci},
	}
end

local techs = {}
for i = 1, 6 do
	techs[i] = {
    type = "technology",
    name = "worker-robots-battery-"..i,
    icon_size = 256,
    icon = "__base__/graphics/technology/worker-robots-speed.png",
    effects = {
      {
        type = "worker-robot-battery",
        modifier = modifier[i]
      }
    },
    unit = {
			count = cost[i],
			ingredients = ing[i],
      time = 30,
    },
    upgrade = true,
    order = "c-k-f-a"
	}
	if i == 1 then
		techs[i].prerequisites = req_tech
	else
		techs[i].prerequisites = {'worker-robots-battery-'..i-1}
	end
	if type(cost[i]) == 'string' then
		techs[i].unit.count = nil
		techs[i].unit.count_formula = cost[i]
		techs[i].max_level = 'infinite'
	end
end

data:extend(techs)
